### Method

# Gio SocketService is_active

since: 2.22

#### Declaration

    gboolean
    g_socket_service_is_active (
      GSocketService* service
    )

#### Description

Check whether the service is active or not. An active service will accept new clients that connect, while a non-active service will let connecting clients queue up until the service is started.

Available since: 2.22

#### Return value

Type: `gboolean`

`TRUE` if the service is active, `FALSE` otherwise.